# Plex and "arr" Service Utilities

Here lies several scripts, mostly in python, for doing some simple but useful things with Plex and an "arr" services such as Radarr, Sonarr, etc.

## Folders

In each folder there should be a file named `apiconfig-default.py`. This file __must__ be renamed to `apiconfig.py` and the values inside the file must be edited to reflect your environment.

Settings to be edited:
* __url =__ : This should be set to the URL for your service (i.e. `http://plex.local.lan:32400`). Present in all folders.
* __apikey =__ : This should be set to the API Key for the service. Each service provides this key in a different location so refer to the documentation for the particular service to locate this value. Present in all folders.
* __mediafolder =__ : This is the top level folder for the media (i.e. videos, etc.) relevant to each service. Currently present only for PlexDev

### PlexDev

This is the top level repository folder and contains scripts meant to be used on the PlexAPI.

* __updatecoll.py__ : This program creates collections for each top level movie folder and ensures each movie is a member of a collection named based on the main folder in which it resides (i.e. movies in the Scary/ folder are added to the "Scary" collection). This value __must__ have a trailing slash.

### PlexDev/radarr

* __unmonitor.py__ : This program checks each movie in Radarr and sets it to be unmonitored if it already has a downloaded file/movie associated with it. This helps to ensure that Radarr will never seek to automatically replace files.
